<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;
use Hyperf\HttpServer\Contract\RequestInterface;

class PunchCardSystemExternalServiceConsumer extends AbstractServiceClient implements PunchCardSystemExternalServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected $serviceName = 'PunchCardSystemExternalService';

    /**
     * 保存问题反馈
     *
     * @param RequestInterface $request
     * @return array
     */
    public function saveFeedback(RequestInterface $request) : array
    {
        return $this->__request(__FUNCTION__, $request->all());
    }
}