<?php

namespace App\JsonRpc;

interface UserExternalServiceInterface
{
    /**
     * 获取用户信息
     *
     * @param string $openid
     * @param array $field
     * @return array
     */
    public function getUserInfo(string $openid, array $field = []) : array;

    /**
     * 通过微信授权新建用户
     *
     * @param string $openid
     * @return array
     */
    public function wechatNewUser(string $openid) : array;
}